<?php

namespace FiloBlu\ExtInventory\Block\Adminhtml\System\Config;

use FiloBlu\ExtInventory\Block\Adminhtml\System\Config\Sources;

class Msiextraconfig extends \Magento\Config\Block\System\Config\Form\Field\FieldArray\AbstractFieldArray
{
    protected $sourcesCollection;

    public function __construct(
        Sources $getSourcesCollection,
        \Magento\Backend\Block\Template\Context $context,
        array $data = []
    ) {
        $this->sourcesCollection = $getSourcesCollection;
        parent::__construct($context, $data);
    }

    protected $_addAfter = true;

    private $_arrayRowsCache;

    protected function _prepareToRender()
    {
        $eventTypeBlock=$this->getLayout()->createBlock('Magento\Framework\View\Element\Html\Select')
                        ->setId($this->_getCellInputElementId('<%- _id %>','source'))
                        ->setName($this->_getCellInputElementName('source'))
                        ->setClass('select')
                        ->setOptions($this->sourcesCollection->toOptionArray(false));
        
        $this->addColumn('source', array(
            'label' => __('Source'),
            'renderer' => $eventTypeBlock
        ));

        $this->addColumn('daily_max_slots', array(
            'label' => __('Daily Maximum Slots')
        ));

        $this->addColumn('third_parties_code', array(
            'label' => __('Third Parties Code')
        ));

        $this->_addAfter = false;
        $this->_addButtonLabel = __('Add new configuration');
    }
 
}
